#
# spec file for package libdmtx
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libdmtx
Version:        0.7.4
Release:        15.4
Summary:        Software for reading and writing Data Matrix barcodes
License:        BSD-2-Clause
Group:          Development/Libraries/C and C++
Url:            http://www.libdmtx.org
#Source:        http://sourceforge.net/projects/libdmtx/files/
Source:         %{name}-%{version}.tar.bz2
Source1:        baselibs.conf
Patch0:         libdmtx-0.7.4.diff
BuildRequires:  ImageMagick-devel
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libdmtx is open source software for reading and writing Data Matrix barcodes.
At its core libdmtx is a native shared library, allowing C/C++ programs to use
its capabilities without extra restrictions or overhead.

%package -n libdmtx0
Summary:        Software for reading and writing Data Matrix barcodes
License:        GPL-2.0+ and LGPL-2.1+
Group:          Development/Libraries/C and C++

%description -n libdmtx0
libdmtx is open source software for reading and writing Data Matrix barcodes.
At its core libdmtx is a native shared library, allowing C/C++ programs to use
its capabilities without extra restrictions or overhead.

%package devel
Summary:        Software for reading and writing Data Matrix barcodes
License:        GPL-2.0+ and LGPL-2.1+
Group:          Development/Libraries/C and C++
Requires:       libdmtx0 = %{version}

%description devel
libdmtx is open source software for reading and writing Data Matrix barcodes.
At its core libdmtx is a native shared library, allowing C/C++ programs to use
its capabilities without extra restrictions or overhead.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
%configure --disable-static
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install

rm -f %{buildroot}%{_libdir}/*.la

%post -n libdmtx0 -p /sbin/ldconfig

%postun -n libdmtx0 -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n libdmtx0
%defattr(-,root,root,-)
%doc AUTHORS LICENSE ChangeLog KNOWNBUG README
%doc %{_mandir}/man?/*dmtx*
%{_libdir}/libdmtx.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/dmtx.h
%{_libdir}/libdmtx.so
%{_libdir}/pkgconfig/libdmtx.pc

%changelog
* Thu Sep 11 2014 hrvoje.senjan@gmail.com
- Add baselibs.conf, needed for kdebase4-workspace-libs-32bit
* Tue Nov 20 2012 cgiboudeaux@gmx.com
- Fix the SLES build (%%make_install not expanded)
- Fix a couple rpmlint warnings
* Thu Jan 12 2012 coolo@suse.com
- change license to be in spdx.org format
* Mon Jul 25 2011 coolo@novell.com
- make snprintf available to the sources
* Tue Jul 19 2011 cgiboudeaux@gmx.com
- Update to 0.7.4
  library: Relicensed to use Simplified BSD with waiver option
  library: Added new error codes and messages in dmtxencode.c
  library: Added DmtxByteList struct and supporting functions
  library: Changed file header with updated text
  library: Fixed ECC bug for 144x144 case (thanks Huver!)
  library: New Reed Solomon implementation
  library: New repository structure: libdmtx, dmtx-utils, and dmtx-wrappers
* Sun May  8 2011 cgiboudeaux@gmx.com
- Add dmtx.
